# SCR Contributing Guidelines

SCR is an open source project. We welcome contributions via pull requests as well as questions, feature requests, or bug reports via issues. Contact our team through GitHub issues or via the [mailing lists](https://computing.llnl.gov/projects/scalable-checkpoint-restart-for-mpi/contact). Please also refer to our [code of conduct](CODE_OF_CONDUCT.md).

If you aren't an SCR developer at LLNL, you won't have permission to push new branches to the repository. First, you should create a fork. This will create your copy of the SCR repository and ensure you can push your changes up to GitHub and create PRs. SCR uses LLNL internal resources via gitlab runners to test code changes. Please include details on how we can test your contribution.

* Create your branches off the `develop` branch.
* Clearly name your branches, commits, and PRs as this will help us manage queued work in a timely manner.
* Articulate your commit messages in the imperative (e.g., `Adds new privacy policy link to README`).
* Commit your work in logically organized commits, and group commits together logically in a PR.
* Title each PR clearly and give it an unambiguous description.
* Review existing issues before opening a new one. Your issue might already be under development or discussed by others. Feel free to add to any outstanding issue/bug.
* Be explicit when opening issues and reporting bugs. What behavior are you expecting? What is your justification or use case for the new feature/enhancement? How can the bug be recreated? What are any environment variables to consider?
